# Uses of Interface
org.apache.zookeeper.metrics.MetricsProvider

Packages that use MetricsProvider
Package
Description
org.apache.zookeeper.metrics.impl
org.apache.zookeeper.server
ZooKeeper server theory of operation

## Uses of MetricsProvider in org.apache.zookeeper.metrics.impl

Classes in org.apache.zookeeper.metrics.impl that implement MetricsProvider
Modifier and Type
Class
Description
`class`
`DefaultMetricsProvider`
Default implementation of `MetricsProvider`.
It does not implement a real hierarchy of contexts, but metrics are flattened in a single namespace.
It is mostly useful to make the legacy 4 letter words interface work as expected.
`class`
`NullMetricsProvider`
This is a dummy MetricsProvider which does nothing.
Fields in org.apache.zookeeper.metrics.impl declared as MetricsProvider
Modifier and Type
Field
Description
`static final MetricsProvider`
NullMetricsProvider.`INSTANCE`
Instance of NullMetricsProvider useful for tests.
Methods in org.apache.zookeeper.metrics.impl that return MetricsProvider
Modifier and Type
Method
Description
`static MetricsProvider`
MetricsProviderBootstrap.`startMetricsProvider(String metricsProviderClassName, Properties configuration)`

## Uses of MetricsProvider in org.apache.zookeeper.server

Methods in org.apache.zookeeper.server that return MetricsProvider
Modifier and Type
Method
Description
`MetricsProvider`
ServerMetrics.`getMetricsProvider()`
Methods in org.apache.zookeeper.server with parameters of type MetricsProvider
Modifier and Type
Method
Description
`static void`
ServerMetrics.`metricsProviderInitialized(MetricsProvider metricsProvider)`